Bug 868858 - [District]Create district with invalid node profile type
[District]Create district with invalid node profile type
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Kubernetes (Show other bugs)
2.x
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Dan McPherson
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-22 06:07 EDT by xjia
Modified: 2015-05-14 22:07 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-06 13:48:36 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description xjia 2012-10-22 06:07:56 EDT
Description of problem:
Node profile type should be  "small(default)|jumbo|exlarge|large|medium|micro". When assigned others, it should prompt error.

Version-Release number of selected component (if applicable):
devenv_2360

How reproducible:
Always

Steps to Reproduce:
1.oo-admin-ctl-district -c create  -p jia -n jia
2.
3.
  
Actual results:
Success.

Expected results:
Wrong message about node profile type.

Additional info:
Comment 1 Dan McPherson 2012-10-22 11:05:40 EDT
https://github.com/openshift/li/pull/515
Comment 2 xjia 2012-10-23 03:46:45 EDT
[root@ip-10-93-42-46 ~]#  oo-admin-ctl-district -c create  -p jia -n jia
Node profile must be one of: (small(default)|medium|c9)

Version:devenv_2364

Note You need to log in before you can comment on or make changes to this bug.